## org.apache.poi.hslf.record
Class OEShapeAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.OEShapeAtom

    public final class OEShapeAtom

extends RecordAtom

Atom that contains information that describes shape client data.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `OEShapeAtom()` Constructs a brand new link related atom record.
`protected` `OEShapeAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`int` `getOptions()` shape flags.
`long` `getRecordType()` Gets the record type.
`void` `setOptions(int id)` shape flags.
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OEShapeAtom

    public OEShapeAtom()

  Constructs a brand new link related atom record.

### OEShapeAtom

    protected OEShapeAtom(byte[] source,
                          int start,
                          int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

### getOptions

    public int getOptions()

  shape flags.

  Returns:
    shape flags.

### setOptions

    public void setOptions(int id)

  shape flags.

  Parameters:
    `id` - shape flags.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.